Rated 3 out of 5 stars

Firefox 19.0 ⇒ 3.1.26 is not working. 3.1.25 is working.

But it succeed in updating from 3.1.25 to 3.1.26.

This review is for a previous version of the add-on (3.1.26.1-signed).